Debian Bug report logs - #597034
Missing firmware for brcm80211 driver

version graph

Package: firmware-nonfree; Maintainer for firmware-nonfree is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Theppitak Karoonboonyanan <thep@linux.thai.net>

Date: Thu, 16 Sep 2010 02:09:01 UTC

Severity: normal

Found in version 0.26

Fixed in version firmware-nonfree/0.27

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597034; Package linux-2.6. (Thu, 16 Sep 2010 02:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Sep 2010 02:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@linux.thai.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd64: broadcom-sta wireless driver fails to detect interface after upgrade
Date: Thu, 16 Sep 2010 09:05:46 +0700
Package: linux-2.6
Version: 2.6.32-22
Severity: normal

After upgrading to 2.6.32-22, the "wl.ko" driver from broadcom-sta package
fails to detect my Broadcom BCM43224 wireless interface, i.e. no entry
appears in "iwconfig" result.

My device:

 # lspci | grep -i network
 03:00.0 Network controller: Broadcom Corporation BCM43224 802.11a/b/g/n (rev 01)
 # iwconfig
 lo        no wireless extensions.

 eth0      no wireless extensions.

(Normally, eth1 should be found with wireless extension here.)

Rebuilding the broadcom-sta module with module-assistant doesn't help.
Downgrading to 2.6.32-21 does make it work again.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-22) (maks@debian.org) (gcc version 4.3.5 (Debian 4.3.5-3) ) #1 SMP Tue Sep 14 20:16:12 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=e4bfd172-e8de-4542-bdb8-55c77c0e63d9 ro quiet

** Tainted: PC (1025)
 * Proprietary module has been loaded.
 * Module from drivers/staging has been loaded.

** Kernel log:
[    4.688048] generic-usb 0003:413C:8162.0002: input,hidraw1: USB HID v1.11 Mouse [HID 413c:8162] on usb-0000:00:1a.0-1.1.2/input0
[    4.688070] usbcore: registered new interface driver usbhid
[    4.688073] usbhid: v2.6:USB HID core driver
[    4.708848] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    4.708855] i915 0000:00:02.0: setting latency timer to 64
[    4.737913]   alloc irq_desc for 33 on node -1
[    4.737917]   alloc kstat_irqs on node -1
[    4.737934] i915 0000:00:02.0: irq 33 for MSI/MSI-X
[    4.737944] [drm] set up 31M of stolen space
[    4.753917] uvcvideo: Found UVC 1.00 device Laptop_Integrated_Webcam_1.3M (0c45:641d)
[    4.800146] input: Laptop_Integrated_Webcam_1.3M as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/input/input11
[    4.800233] usbcore: registered new interface driver uvcvideo
[    4.800239] USB Video Class driver (v0.1.0)
[    4.841429] brcm80211: module is from the staging directory, the quality is unknown, you have been warned.
[    4.847942] brcm80211 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    4.847956] brcm80211 0000:03:00.0: setting latency timer to 64
[    4.848000] brcm80211 0000:03:00.0: firmware: requesting brcm/bcm43xx-0.fw
[    5.385203] fail to request firmware brcm/bcm43xx-0.fw
[    5.385208] brcm80211: 5.75.11 driver failed
[    5.640735] Console: switching to colour frame buffer device 170x48
[    5.643259] fb0: inteldrmfb frame buffer device
[    5.643260] registered panic notifier
[    5.647485] acpi device:01: registered as cooling_device6
[    5.648850] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input12
[    5.648968] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    5.649086] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    5.649146]   alloc irq_desc for 22 on node -1
[    5.649152]   alloc kstat_irqs on node -1
[    5.649167] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[    5.649203] usb 1-1.1.3: new full speed USB device using ehci_hcd and address 8
[    5.649223] HDA Intel 0000:00:1b.0: setting latency timer to 64
[    5.741899] usb 1-1.1.3: New USB device found, idVendor=413c, idProduct=8160
[    5.741905] usb 1-1.1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    5.741909] usb 1-1.1.3: Product: Dell Wireless 365 Bluetooth Module
[    5.741912] usb 1-1.1.3: Manufacturer: Dell Computer Corp
[    5.742035] usb 1-1.1.3: configuration #1 chosen from 1 choice
[    5.783355] lib80211: common routines for IEEE802.11 drivers
[    5.783360] lib80211_crypt: registered algorithm 'NULL'
[    5.964633] Bluetooth: Core ver 2.15
[    5.964717] NET: Registered protocol family 31
[    5.964721] Bluetooth: HCI device and connection manager initialized
[    5.964726] Bluetooth: HCI socket layer initialized
[    6.009436] hda_codec: ALC269: BIOS auto-probing.
[    6.010076] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input13
[    6.103167] wl: module license 'MIXED/Proprietary' taints kernel.
[    6.103173] Disabling lock debugging due to kernel taint
[    6.111908] Bluetooth: Generic Bluetooth USB driver ver 0.6
[    6.112075] usbcore: registered new interface driver btusb
[    7.116506] Adding 7811064k swap on /dev/sda5.  Priority:-1 extents:1 across:7811064k 
[    7.263179] EXT3 FS on sda1, internal journal
[    7.351264] device-mapper: uevent: version 1.0.3
[    7.351388] device-mapper: ioctl: 4.15.0-ioctl (2009-04-01) initialised: dm-devel@redhat.com
[    7.470849] usb-storage: device scan complete
[    7.473003] scsi 4:0:0:0: Direct-Access     Generic- Multi-Card       1.00 PQ: 0 ANSI: 0 CCS
[    7.473686] sd 4:0:0:0: Attached scsi generic sg2 type 0
[    7.477684] sd 4:0:0:0: [sdb] Attached SCSI removable disk
[   11.977309] padlock: VIA PadLock not detected.
[   12.019821] padlock: VIA PadLock Hash Engine not detected.
[   12.742694] loop: module loaded
[   13.203370] EXT4-fs (dm-0): mounted filesystem with ordered data mode
[   14.203537] fuse init (API version 7.13)
[   15.806763] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input14
[   19.410932] Bluetooth: L2CAP ver 2.14
[   19.410936] Bluetooth: L2CAP socket layer initialized
[   19.449178] Bluetooth: RFCOMM TTY layer initialized
[   19.449183] Bluetooth: RFCOMM socket layer initialized
[   19.449186] Bluetooth: RFCOMM ver 1.11
[   19.534504] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   19.534506] Bluetooth: BNEP filters: protocol multicast
[   19.642520] Bluetooth: SCO (Voice Link) ver 0.6
[   19.642523] Bluetooth: SCO socket layer initialized
[   20.066550] lp: driver loaded but no devices found
[   20.072085] ppdev: user-space parallel port driver
[   38.845644] CPU0 attaching NULL sched-domain.
[   38.845653] CPU1 attaching NULL sched-domain.
[   38.845656] CPU2 attaching NULL sched-domain.
[   38.845659] CPU3 attaching NULL sched-domain.
[   38.914583] CPU0 attaching sched-domain:
[   38.914588]  domain 0: span 0,2 level SIBLING
[   38.914592]   groups: 0 (cpu_power = 589) 2 (cpu_power = 589)
[   38.914601]   domain 1: span 0-3 level MC
[   38.914605]    groups: 0,2 (cpu_power = 1178) 1,3 (cpu_power = 1178)
[   38.914615] CPU1 attaching sched-domain:
[   38.914618]  domain 0: span 1,3 level SIBLING
[   38.914621]   groups: 1 (cpu_power = 589) 3 (cpu_power = 589)
[   38.914629]   domain 1: span 0-3 level MC
[   38.914632]    groups: 1,3 (cpu_power = 1178) 0,2 (cpu_power = 1178)
[   38.914641] CPU2 attaching sched-domain:
[   38.914644]  domain 0: span 0,2 level SIBLING
[   38.914647]   groups: 2 (cpu_power = 589) 0 (cpu_power = 589)
[   38.914655]   domain 1: span 0-3 level MC
[   38.914658]    groups: 0,2 (cpu_power = 1178) 1,3 (cpu_power = 1178)
[   38.914667] CPU3 attaching sched-domain:
[   38.914670]  domain 0: span 1,3 level SIBLING
[   38.914673]   groups: 3 (cpu_power = 589) 1 (cpu_power = 589)
[   38.914681]   domain 1: span 0-3 level MC
[   38.914684]    groups: 1,3 (cpu_power = 1178) 0,2 (cpu_power = 1178)
[   94.305319] r8169: eth0: link up
[   94.305327] r8169: eth0: link up
[  104.734476] eth0: no IPv6 routers present

** Model information
sys_vendor: Dell Inc.
product_name: Inspiron 1464
product_version: A01   
chassis_vendor: Dell Inc.
chassis_version: A01        
bios_vendor: Dell Inc.
bios_version: A01
board_vendor: Dell Inc.
board_name: 0C6HFD
board_version: A01

** Loaded modules:
Module                  Size  Used by
parport_pc             18855  0 
ppdev                   5030  0 
lp                      7462  0 
parport                27954  3 parport_pc,ppdev,lp
sco                     7209  2 
bnep                    9443  2 
rfcomm                 29613  8 
l2cap                  24736  16 bnep,rfcomm
acpi_cpufreq            5555  1 
cpufreq_userspace       1992  0 
cpufreq_conservative     5162  0 
cpufreq_stats           2659  0 
cpufreq_powersave        902  0 
uinput                  6376  1 
fuse                   50206  1 
ext4                  288969  1 
jbd2                   67015  1 ext4
crc16                   1319  2 l2cap,ext4
loop                   11799  0 
sha256_generic          8692  2 
aes_x86_64              7340  2 
aes_generic            25714  1 aes_x86_64
cbc                     2539  1 
dm_crypt               10507  1 
dm_mod                 53786  3 dm_crypt
snd_hda_codec_intelhdmi    10695  1 
btusb                   9817  2 
wl                   1937867  0 
snd_hda_codec_realtek   235570  1 
bluetooth              41827  9 sco,bnep,rfcomm,l2cap,btusb
lib80211                3654  1 wl
snd_hda_intel          19987  1 
snd_hda_codec          54244  3 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel
brcm80211             640677  0 
snd_hwdep               5380  1 snd_hda_codec
snd_pcm_oss            32591  0 
snd_mixer_oss          12606  1 snd_pcm_oss
uvcvideo               51887  0 
i915                  255015  2 
snd_pcm                60503  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
usbhid                 33292  0 
snd_seq_midi            4400  0 
snd_rawmidi            15515  1 snd_seq_midi
videodev               29993  1 uvcvideo
snd_seq_midi_event      4628  1 snd_seq_midi
v4l1_compat            11442  2 uvcvideo,videodev
drm_kms_helper         20065  1 i915
snd_seq                42881  2 snd_seq_midi,snd_seq_midi_event
v4l2_compat_ioctl32     8538  1 videodev
hid                    62857  1 usbhid
snd_timer              15582  2 snd_pcm,snd_seq
snd_seq_device          4493  3 snd_seq_midi,snd_rawmidi,snd_seq
mac80211              137356  1 brcm80211
drm                   142599  3 i915,drm_kms_helper
joydev                  8411  0 
snd                    46446  14 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
i2c_algo_bit            4225  1 i915
video                  17445  1 i915
output                  1692  1 video
soundcore               4598  1 snd
cfg80211              101496  2 brcm80211,mac80211
i2c_i801                7830  0 
i2c_core               15712  6 i915,videodev,drm_kms_helper,drm,i2c_algo_bit,i2c_i801
dell_laptop             1969  0 
snd_page_alloc          6249  2 snd_hda_intel,snd_pcm
rfkill                 13044  5 bluetooth,cfg80211,dell_laptop
pcspkr                  1699  0 
wmi                     4323  0 
evdev                   7352  20 
ac                      2192  0 
button                  4650  1 i915
battery                 4998  0 
processor              30303  5 acpi_cpufreq
dcdbas                  5048  1 dell_laptop
psmouse                49777  0 
serio_raw               3752  0 
ext3                  106518  1 
jbd                    37101  1 ext3
mbcache                 5050  2 ext4,ext3
usb_storage            39577  0 
sg                     18744  0 
sr_mod                 12602  0 
sd_mod                 29793  4 
crc_t10dif              1276  1 sd_mod
cdrom                  29415  1 sr_mod
fan                     3346  0 
ahci                   32358  3 
libata                133584  1 ahci
thermal                11674  0 
ehci_hcd               31135  0 
thermal_sys            11942  4 video,processor,fan,thermal
scsi_mod              122117  5 usb_storage,sg,sr_mod,sd_mod,libata
usbcore               121954  6 btusb,uvcvideo,usbhid,usb_storage,ehci_hcd
nls_base                6377  1 usbcore
r8169                  28893  0 
mii                     3210  1 r8169

** Network interface configuration:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=th_TH.UTF-8, LC_CTYPE=th_TH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.3     tools for generating an initramfs
ii  linux-base                    2.6.32-22  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
ii  firmware-linux-free           2.6.32-22  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.26       Binary firmware for various driver
ii  firmware-linux-nonfree        0.26       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-amd64/postinst/bootloader-test-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/prerm/would-invalidate-boot-loader-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597034; Package linux-2.6. (Thu, 16 Sep 2010 12:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Sep 2010 12:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 597034@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Theppitak Karoonboonyanan <thep@linux.thai.net>, 597034@bugs.debian.org
Subject: Re: Bug#597034: linux-image-2.6.32-5-amd64: broadcom-sta wireless driver fails to detect interface after upgrade
Date: Thu, 16 Sep 2010 13:14:37 +0100
On Thu, Sep 16, 2010 at 09:05:46AM +0700, Theppitak Karoonboonyanan wrote:
> Package: linux-2.6
> Version: 2.6.32-22
> Severity: normal
> 
> After upgrading to 2.6.32-22, the "wl.ko" driver from broadcom-sta package
> fails to detect my Broadcom BCM43224 wireless interface, i.e. no entry
> appears in "iwconfig" result.

I added the brcm80211 driver which is a free (GPL) replacement for
broadcom-sta/wl.  You'll need to install firmware images which, er, I haven't
uploaded yet, sorry.  For now, you can get these from
<http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-nonfree/brcm80211/brcm/>
and install them under /lib/firmware/brcm.  They will be included in the
firmware-brcm80211 package shortly.

From the log in your bug report:
> [    4.848000] brcm80211 0000:03:00.0: firmware: requesting brcm/bcm43xx-0.fw
> [    5.385203] fail to request firmware brcm/bcm43xx-0.fw
> [    5.385208] brcm80211: 5.75.11 driver failed

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597034; Package linux-2.6. (Thu, 16 Sep 2010 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Sep 2010 13:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 597034@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@linux.thai.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 597034@bugs.debian.org
Subject: Re: Bug#597034: linux-image-2.6.32-5-amd64: broadcom-sta wireless driver fails to detect interface after upgrade
Date: Thu, 16 Sep 2010 20:36:36 +0700
On Thu, Sep 16, 2010 at 7:14 PM, Ben Hutchings <ben@decadent.org.uk> wrote:

> I added the brcm80211 driver which is a free (GPL) replacement for
> broadcom-sta/wl.  You'll need to install firmware images which, er, I haven't
> uploaded yet, sorry.  For now, you can get these from
> <http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-nonfree/brcm80211/brcm/>
> and install them under /lib/firmware/brcm.  They will be included in the
> firmware-brcm80211 package shortly.

Thank you for the info. I've installed the firmware images as you suggested.
Now the 2.6.32-22 kernel with brcm80211 module can detect my wireless
card as "wlan0", and I'm replying you through it.

So, this bug can be closed as soon as the firmware is uploaded to sid.

Thanks for your works!

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/




Bug reassigned from package 'linux-2.6' to 'firmware-nonfree'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 16 Sep 2010 14:12:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-22. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 16 Sep 2010 14:12:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 0.26. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 16 Sep 2010 14:12:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'Missing firmware for brcm80211 driver' from 'linux-image-2.6.32-5-amd64: broadcom-sta wireless driver fails to detect interface after upgrade' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 16 Sep 2010 14:12:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sat, 18 Sep 2010 00:15:02 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 27 Sep 2010 10:51:03 GMT) Full text and rfc822 format available.

Notification sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
Bug acknowledged by developer. (Mon, 27 Sep 2010 10:51:03 GMT) Full text and rfc822 format available.

Message #30 received at 597034-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 597034-close@bugs.debian.org
Subject: Bug#597034: fixed in firmware-nonfree 0.27
Date: Mon, 27 Sep 2010 10:47:14 +0000
Source: firmware-nonfree
Source-Version: 0.27

We believe that the bug you reported is fixed in the latest version of
firmware-nonfree, which is due to be installed in the Debian FTP archive:

firmware-atheros_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-atheros_0.27_all.deb
firmware-bnx2_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-bnx2_0.27_all.deb
firmware-bnx2x_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-bnx2x_0.27_all.deb
firmware-brcm80211_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-brcm80211_0.27_all.deb
firmware-intelwimax_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-intelwimax_0.27_all.deb
firmware-ipw2x00_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-ipw2x00_0.27_all.deb
firmware-ivtv_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-ivtv_0.27_all.deb
firmware-iwlwifi_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-iwlwifi_0.27_all.deb
firmware-linux-nonfree_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-linux-nonfree_0.27_all.deb
firmware-linux_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-linux_0.27_all.deb
firmware-netxen_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-netxen_0.27_all.deb
firmware-nonfree_0.27.dsc
  to non-free/f/firmware-nonfree/firmware-nonfree_0.27.dsc
firmware-nonfree_0.27.tar.gz
  to non-free/f/firmware-nonfree/firmware-nonfree_0.27.tar.gz
firmware-qlogic_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-qlogic_0.27_all.deb
firmware-ralink_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-ralink_0.27_all.deb
firmware-realtek_0.27_all.deb
  to non-free/f/firmware-nonfree/firmware-realtek_0.27_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597034@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated firmware-nonfree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 18 Sep 2010 01:31:00 +0100
Source: firmware-nonfree
Binary: firmware-linux firmware-atheros firmware-bnx2 firmware-bnx2x firmware-brcm80211 firmware-intelwimax firmware-ipw2x00 firmware-ivtv firmware-iwlwifi firmware-linux-nonfree firmware-netxen firmware-qlogic firmware-ralink firmware-realtek
Architecture: source all
Version: 0.27
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 firmware-atheros - Binary firmware for Atheros Bluetooth cards
 firmware-bnx2 - Binary firmware for Broadcom NetXtremeII
 firmware-bnx2x - Binary firmware for Broadcom NetXtreme II 10Gb
 firmware-brcm80211 - Binary firmware for Broadcom 802.11 wireless cards
 firmware-intelwimax - Binary firmware for Intel WiMAX Connection
 firmware-ipw2x00 - Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
 firmware-ivtv - Binary firmware for iTVC15-family MPEG codecs (ivtv and pvrusb2 d
 firmware-iwlwifi - Binary firmware for Intel Wireless 3945, 4965 and 5000-series car
 firmware-linux - Binary firmware for various drivers in the Linux kernel (meta-pac
 firmware-linux-nonfree - Binary firmware for various drivers in the Linux kernel
 firmware-netxen - Binary firmware for QLogic Intelligent Ethernet (3000 and 3100 Se
 firmware-qlogic - Binary firmware for QLogic IBA7220, QLA1xxx, ISP2xxx and SP2x2
 firmware-ralink - Binary firmware for Ralink wireless cards
 firmware-realtek - Binary firmware for Realtek RTL8192 wireless cards
Closes: 597034
Changes: 
 firmware-nonfree (0.27) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * Correct version number for ipw2200 firmware
   * Refer to index pages for ipw2100 and ipw2200 firmware
   * Add bug presubj message directing users to report driver bugs against
     the appropriate package
   * Add firmware-brcm80211 binary package for use with the brcm80211 driver
     (Closes: #597034)
 .
   [ dann frazier ]
   * Add firmware-netxen binary package
Checksums-Sha1: 
 8c83d1f20113ee53735239e865444825d7e6818d 2012 firmware-nonfree_0.27.dsc
 017aaddd676bce6738aca05077b9f62b48bae2bc 6427033 firmware-nonfree_0.27.tar.gz
 fe8f0c6a98f29988260ff083ba5bc878137a84eb 5824 firmware-linux_0.27_all.deb
 40f40bfece67783f6f8dcfe07ac1fa783b922180 168080 firmware-atheros_0.27_all.deb
 7256597bea6473e274b105533e853df7f484d34a 403364 firmware-bnx2_0.27_all.deb
 63d8e30410a97a0cbda52454b303c4029bdd3e03 683824 firmware-bnx2x_0.27_all.deb
 0d9674f2d5654da01b9a83111ec362f31912627d 53404 firmware-brcm80211_0.27_all.deb
 8d97bebc80bc78a45259d1fb76feaa5390e6e5f7 741890 firmware-intelwimax_0.27_all.deb
 33d77ebf3d3cf3b132bf2024a164b999ccb9a4b1 521584 firmware-ipw2x00_0.27_all.deb
 5aad952ff5b5e6e140f940db0d710bb2b118601b 136062 firmware-ivtv_0.27_all.deb
 7a653be9285ae338eeef0cc3a8bc5ca1b9fcb928 1429398 firmware-iwlwifi_0.27_all.deb
 dff0374be193513fbea19e92a81dba34a8975df4 300462 firmware-linux-nonfree_0.27_all.deb
 24a6426b5138c153eaa18678337208141e641b5a 1367254 firmware-netxen_0.27_all.deb
 f296d945794bf358fad951fe1cfafa9772c06cfb 479414 firmware-qlogic_0.27_all.deb
 02850603b1f848bb1b353c88469b8d90f452b912 20446 firmware-ralink_0.27_all.deb
 69a7ede9b0feb85d583dc0e49fd20ecfa5742887 62574 firmware-realtek_0.27_all.deb
Checksums-Sha256: 
 6412e3ba5eb013c2a6455d3d3ff607982de98a97ce0ee7f99cc8016bc343e804 2012 firmware-nonfree_0.27.dsc
 be906cd990e8cfdde91135d68f9ade49cfcc9729bbb7001a18e17093b9966157 6427033 firmware-nonfree_0.27.tar.gz
 649a54d4956ff3a5a6771124450c13294e14c5800cbbdbd2f56e5c5898617675 5824 firmware-linux_0.27_all.deb
 ff594dd9523f51e5089e3d1268154f96eabcc12bb7f08ac16a9783a4ac61c80e 168080 firmware-atheros_0.27_all.deb
 1b4b19b1170402a6e1e66e5642e0d94348aa2d81bc692e74c63f5801101a29d3 403364 firmware-bnx2_0.27_all.deb
 140d9809aaa213a11848485b7e38deef2ee9253948ff6bc1efbf5761bc6ebe8b 683824 firmware-bnx2x_0.27_all.deb
 4cb554fa8eb24b70bc2720b3155b2f336d5edcefdd2b6681e1bc6faa0508ae5c 53404 firmware-brcm80211_0.27_all.deb
 ccd367bc763a28348065447567bcc7b11620ea839166e0f6cd3d063df893d2f5 741890 firmware-intelwimax_0.27_all.deb
 43a93a07704d71713063efd4c1bd5e31727e5f2c84c68f7a2dba4b1d4a016555 521584 firmware-ipw2x00_0.27_all.deb
 60eaf9c0f8527ca2b3023c8cfd175fe759c734c3f4c544c6f57f47a637dd4ef6 136062 firmware-ivtv_0.27_all.deb
 15349a8a0344702524a3bf06a0ced89036601228f9a82679914d742730689f99 1429398 firmware-iwlwifi_0.27_all.deb
 922f01b062fdcb38719d07281f4269948f714e90d084d04efdb697693f874f1d 300462 firmware-linux-nonfree_0.27_all.deb
 0905f999f2a5894ece56e1aeca8cb3e5197c363830141484db12c12899117b5e 1367254 firmware-netxen_0.27_all.deb
 3953cf8c727432779f0d6aeabfbc38a425120edc4ef6a6dfb7edd3c3d86c62cc 479414 firmware-qlogic_0.27_all.deb
 8521a0875d327afe7b5c37fc57c7abea900dbe83c015bdc71ae126d7864f0da6 20446 firmware-ralink_0.27_all.deb
 1e9ce44f7c1f91610e7b67348662b1bd73dc2e64a0f6572d8cd43ba637577679 62574 firmware-realtek_0.27_all.deb
Files: 
 566298758d7444ac9f9cced3dd8470b1 2012 non-free/kernel optional firmware-nonfree_0.27.dsc
 72548ea7591f9e57c8dc8b79b19fdb50 6427033 non-free/kernel optional firmware-nonfree_0.27.tar.gz
 03ce3b4a596a341cc72efbbfd03efd88 5824 non-free/kernel optional firmware-linux_0.27_all.deb
 804e70638c3f0c86b53ed9820e588050 168080 non-free/kernel optional firmware-atheros_0.27_all.deb
 aee2c2bc8c69b15778f1e46e2158578a 403364 non-free/kernel optional firmware-bnx2_0.27_all.deb
 605660edb0cf4fd2a13c77158cb81294 683824 non-free/kernel optional firmware-bnx2x_0.27_all.deb
 f607ab4d193654b1fcca6945f30fdde4 53404 non-free/kernel optional firmware-brcm80211_0.27_all.deb
 0406a6a798c7ddbde4111f2d46b4a464 741890 non-free/kernel optional firmware-intelwimax_0.27_all.deb
 23f33a6b744b351e08c372d6377e3c9d 521584 non-free/kernel optional firmware-ipw2x00_0.27_all.deb
 ce95ae32efa02e5119fa0a39536a5973 136062 non-free/kernel optional firmware-ivtv_0.27_all.deb
 cd2e2312b36ae3775ab8832b33288c9e 1429398 non-free/kernel optional firmware-iwlwifi_0.27_all.deb
 7be0e3fcf4edb7fc755f9031839e01fd 300462 non-free/kernel optional firmware-linux-nonfree_0.27_all.deb
 5e231428dcd05253ce7956ed9538e800 1367254 non-free/kernel optional firmware-netxen_0.27_all.deb
 a9d85af5cb2e3e905eeca5bec757498b 479414 non-free/kernel optional firmware-qlogic_0.27_all.deb
 f5d8fac96b37ee437981a088127a1e90 20446 non-free/kernel optional firmware-ralink_0.27_all.deb
 356567125d83c8cef7b8e8f00157172b 62574 non-free/kernel optional firmware-realtek_0.27_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTJQRAee/yOyVhhEJAQqhfxAAxKEQORBV9rUh7uTmvrU8wyv1gT0i/EOg
jNI/gfSQgyca02RnNcCVFo1lSUNRIFl6MqAo9Nog8okhzmeKJcsYW/cZuLzrGamD
fAs3mooK17/DQY84iz7acQnDu8CKdyp9lHGh8XTXdSBJMQSYootAq8wFYgp0XSLe
5eYzPls4JbY0omPwxGxzqv+p7Kw43k48+MoszgJQ9m2sojZYfVxvuuPu8aBgdy2d
it9mv2X1PwETUeQzKMDngrSKepcsltWBHHMl6VtzWPI22gfTgi6zqDUxn1WQkrQ0
720nNjo/1B6fZrFYkBAbEi77nNS0co8fObujT8rTZ6nSDhznZKrEcA+hmV+5dftB
M1lExPV2shV0ymmYKubPw6N8FeBaLLKdc1E2bIoIcHRtjpr7VvRvS7TsiDVxjApI
SesaSBbqegqogPbqOW4eFyMC7/VeRshLuKz1uuVAiSoq1uRNNHxIQZoH1lN0v4/e
uGs6/ndPIT5sX5g2Y9m+JFXxKgYXDVfu62d4Y5nqu2HAqcRTK/kzLz4Z+OGgwdsh
UEZ1BIa+5PJUfV7ounyXn8icQ+9WERtf3+swdNrIsaop/XkmkshblfAwP8qLsfCM
mrmJ5WGTXIzG9kLjljcAZ41+wbXX8Fyw0BRc7exzBSAjZtzjVgbjhug8UQbn9oAW
r1vOf3uSONM=
=/3rV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Nov 2010 07:30:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:35:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.